#!/bin/bash
#
# Zenwalk build file for xf86-video-intel-legacy
# Author: Mark Colclough
# 31 August 2009

# Per-package settings
# Source ftp://ftp.archlinux.org/extra/os/i686/xf86-video-intel-legacy-2.3.2-3-i686.pkg.tar.gz
tarballname='xf86-video-intel-legacy-2.3.2-3-i686.pkg.tar.gz'
srcname='xf86-video-intel-legacy'
srcversion='2.3.2'

srcdirname=$srcname-$srcversion
pkgname='xf86-video-intel-legacy'
pkgversion='62.1'
arch='i686'
cpu='i686' 

#       |-----handy-ruler------------------------------------------------------|
descfile="\
$pkgname: $pkgname (Driver for older Intel video hardware)
$pkgname:
$pkgname: This is just a repack of the Arch package
$pkgname: xf86-video-intel-legacy-2.3.2-3-i686.pkg.tar.gz
$pkgname:
$pkgname: It provides a driver for older Intel video cards, like i810
$pkgname: (driver version 2.3.2) but built for more recent 1.6 X servers
$pkgname: (built against 1.6.1).  More recent xf86-intel drivers are faulty
$pkgname: with these cards.
$pkgname:
$pkgname:
$pkgname:"

# Compute useful variables
builddir=$(pwd)
package="$pkgname-$srcversion-$arch-$pkgversion"
destdir="$builddir/$package"
tarball="$builddir/$tarballname"
buildlog="$builddir/$pkgname-buildlog"

# Prevent any rm -rf accidents from happening too close to the root
if [ ${#builddir} -lt 9 ] ; then
	echo "You don't want to build in $builddir"
	exit 1
fi

# ################ Start of build steps ######################
(
rm -f $buildlog
echo "== Building package $package in directory $builddir =="
echo "== preparing tree at $destdir =="
cd $builddir
rm -rf $destdir
mkdir $destdir
cd $destdir
tar xf $tarball
cd $builddir
chown -R root:root $destdir

echo "== adding slack-desc =="
mkdir -p $destdir/install
echo "$descfile" > $destdir/install/slack-desc
mkdir -p $destdir/usr/doc/$pkgname-$srcversion
mkdir -p $destdir/usr/src/$pkgname-$srcversion

echo "== moving docs =="
mv $destdir/usr/share/licenses/xf86-video-intel-legacy/LICENSE $destdir/usr/doc/xf86-video-intel-legacy-2.3.2/
mv $destdir/.PKGINFO $destdir/usr/doc/xf86-video-intel-legacy-2.3.2/PKGINFO
mv $destdir/usr/share/man $destdir/usr/man
rm -rf $destdir/usr/share

echo "== adding build script =="
install -o root -g root -m 755 $builddir/build-$pkgname.sh $destdir/usr/src/$pkgname-$srcversion/

echo "== making package =="
cd $destdir
makepkg -l y -c n $destdir.txz
cd $builddir
md5sum $package.txz >$package.md5

#echo "== verifying package =="  need to fix pkgcheck for txz files
#cd $builddir
#zen_pkgcheck.pl $package.txz 2>&1  

touch $package.dep

echo "== all done =="
) 2>&1 | tee $buildlog
